std::is_trivial< _Tp >(3cxx)

NAME
std::is_trivial< _Tp >

SYNOPSIS

#include <type_traits>

Detailed Description

  template<typename _Tp>
struct std::is_trivial< _Tp >"is_trivial

Deprecated
    Deprecated in C++26. Use a combination of one or more more specialized type traits instead, such as is_trivially_default_constructible, is_trivially_copy_constructible, is_trivially_copy_assignable, etc., depending on the exact check(s) needed.

Author

Generated automatically by Doxygen for libstdc++ from the source code.